# ​Pull Up Auro Wallet with DeepLink

## **Pull Up the wallet to** launch **zkApp**

```javascript
let targetURL = ""; // Required, the target URL, e.g., https://www.aurowallet.com/
let paramsURL = encodeURIComponent(targetURL);

let targetNetworkId = ""; // Optional, the target network ID, e.g., mina:mainnet. You can retrieve this from the daemon node. If not provided, the App will use its current network by default.
let networkId = encodeURIComponent(targetNetworkId);

const endURL = `https://applinks.aurowallet.com/applinks?action=openurl&networkid=${networkId}&url=${paramsURL}`;
window.location.href = endURL;

```

Currently, there are 3 parameters supported:

* **`action`** (Required)

  The action that the App will excute. Currently, only `openurl` is supported.
* **`networkid`** (Optional)

  The ID of the target network. You can get this value from a GraphQL endpoint. If supported, the App will switch to the target network. If not supported, no changes will be made. If not set, the App will default to its current network.

```graphql
## Example GraphQL query:
query myQuery {
    networkID
}
```

* **`url`** (Required)

  The URL the App will open. It is recommended to include this at the end of the deep link URL.

{% hint style="info" %}
**Note**: This method is limited to pulling up the Auro Wallet via the mobile phone's system browser.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aurowallet.com/general/auro-mobile/pull-up-auro-wallet-with-deeplink.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
